masqmail-0.2

view config.status.lineno @ 1:af25f5c39d90

added diff from debian (masqmail-0.2.21-4)
author meillo@marmaro.de
date Fri, 26 Sep 2008 20:56:23 +0200
parents
children 8c55886cacd8
line source
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be more Bourne compatible
16 DUALCASE=1; export DUALCASE # for MKS sh
17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24 else
25 case `(set -o) 2>/dev/null` in
26 *posix*) set -o posix ;;
27 esac
29 fi
34 # PATH needs CR
35 # Avoid depending upon Character Ranges.
36 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39 as_cr_digits='0123456789'
40 as_cr_alnum=$as_cr_Letters$as_cr_digits
42 # The user is always right.
43 if test "${PATH_SEPARATOR+set}" != set; then
44 echo "#! /bin/sh" >conf$$.sh
45 echo "exit 0" >>conf$$.sh
46 chmod +x conf$$.sh
47 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48 PATH_SEPARATOR=';'
49 else
50 PATH_SEPARATOR=:
51 fi
52 rm -f conf$$.sh
53 fi
55 # Support unset when possible.
56 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57 as_unset=unset
58 else
59 as_unset=false
60 fi
63 # IFS
64 # We need space, tab and new line, in precisely that order. Quoting is
65 # there to prevent editors from complaining about space-tab.
66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
67 # splitting by setting IFS to empty value.)
68 as_nl='
69 '
70 IFS=" "" $as_nl"
72 # Find who we are. Look in the path if we contain no directory separator.
73 case $0 in
74 *[\\/]* ) as_myself=$0 ;;
75 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76 for as_dir in $PATH
77 do
78 IFS=$as_save_IFS
79 test -z "$as_dir" && as_dir=.
80 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81 done
82 IFS=$as_save_IFS
84 ;;
85 esac
86 # We did not find ourselves, most probably we were run as `sh COMMAND'
87 # in which case we are not to be found in the path.
88 if test "x$as_myself" = x; then
89 as_myself=$0
90 fi
91 if test ! -f "$as_myself"; then
92 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93 { (exit 1); exit 1; }
94 fi
96 # Work around bugs in pre-3.0 UWIN ksh.
97 for as_var in ENV MAIL MAILPATH
98 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99 done
100 PS1='$ '
101 PS2='> '
102 PS4='+ '
104 # NLS nuisances.
105 for as_var in \
106 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108 LC_TELEPHONE LC_TIME
109 do
110 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111 eval $as_var=C; export $as_var
112 else
113 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114 fi
115 done
117 # Required to use basename.
118 if expr a : '\(a\)' >/dev/null 2>&1 &&
119 test "X`expr 00001 : '.*\(...\)'`" = X001; then
120 as_expr=expr
121 else
122 as_expr=false
123 fi
125 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126 as_basename=basename
127 else
128 as_basename=false
129 fi
132 # Name of the executable.
133 as_me=`$as_basename -- "$0" ||
134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135 X"$0" : 'X\(//\)$' \| \
136 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137 echo X/"$0" |
138 sed '/^.*\/\([^/][^/]*\)\/*$/{
139 s//\1/
140 q
141 }
142 /^X\/\(\/\/\)$/{
143 s//\1/
144 q
145 }
146 /^X\/\(\/\).*/{
147 s//\1/
148 q
149 }
150 s/.*/./; q'`
152 # CDPATH.
153 $as_unset CDPATH
157 as_lineno_1=157
158 as_lineno_2=158
159 test "x$as_lineno_1" != "x$as_lineno_2" &&
160 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
162 # Create $as_me.lineno as a copy of $as_myself, but with 162
163 # uniformly replaced by the line number. The first 'sed' inserts a
164 # line-number line after each line using 164; the second 'sed'
165 # does the real work. The second script uses 'N' to pair each
166 # line-number line with the line containing 166, and appends
167 # trailing '-' during substitution so that 167 is not a special
168 # case at line end.
169 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170 # scripts with optimization help from Paolo Bonzini. Blame Lee
171 # E. McMahon (1931-1989) for sed's syntax. :-)
172 sed -n '
173 p
174 /[$]LINENO/=
175 ' <$as_myself |
176 sed '
177 s/[$]LINENO.*/&-/
178 t lineno
179 b
180 :lineno
181 N
182 :loop
183 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184 t loop
185 s/-\n.*//
186 ' >$as_me.lineno &&
187 chmod +x "$as_me.lineno" ||
188 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189 { (exit 1); exit 1; }; }
191 # Don't try to exec as it changes $[0], causing all sort of problems
192 # (the dirname of $[0] is not the place where we might find the
193 # original and so on. Autoconf is especially sensitive to this).
194 . "./$as_me.lineno"
195 # Exit status is that of the last command.
196 exit
197 }
200 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201 as_dirname=dirname
202 else
203 as_dirname=false
204 fi
206 ECHO_C= ECHO_N= ECHO_T=
207 case `echo -n x` in
208 -n*)
209 case `echo 'x\c'` in
210 *c*) ECHO_T=' ';; # ECHO_T is single tab character.
211 *) ECHO_C='\c';;
212 esac;;
213 *)
214 ECHO_N='-n';;
215 esac
217 if expr a : '\(a\)' >/dev/null 2>&1 &&
218 test "X`expr 00001 : '.*\(...\)'`" = X001; then
219 as_expr=expr
220 else
221 as_expr=false
222 fi
224 rm -f conf$$ conf$$.exe conf$$.file
225 if test -d conf$$.dir; then
226 rm -f conf$$.dir/conf$$.file
227 else
228 rm -f conf$$.dir
229 mkdir conf$$.dir
230 fi
231 echo >conf$$.file
232 if ln -s conf$$.file conf$$ 2>/dev/null; then
233 as_ln_s='ln -s'
234 # ... but there are two gotchas:
235 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237 # In both cases, we have to default to `cp -p'.
238 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239 as_ln_s='cp -p'
240 elif ln conf$$.file conf$$ 2>/dev/null; then
241 as_ln_s=ln
242 else
243 as_ln_s='cp -p'
244 fi
245 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246 rmdir conf$$.dir 2>/dev/null
248 if mkdir -p . 2>/dev/null; then
249 as_mkdir_p=:
250 else
251 test -d ./-p && rmdir ./-p
252 as_mkdir_p=false
253 fi
255 if test -x / >/dev/null 2>&1; then
256 as_test_x='test -x'
257 else
258 if ls -dL / >/dev/null 2>&1; then
259 as_ls_L_option=L
260 else
261 as_ls_L_option=
262 fi
263 as_test_x='
264 eval sh -c '\''
265 if test -d "$1"; then
266 test -d "$1/.";
267 else
268 case $1 in
269 -*)set "./$1";;
270 esac;
271 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272 ???[sx]*):;;*)false;;esac;fi
273 '\'' sh
274 '
275 fi
276 as_executable_p=$as_test_x
278 # Sed expression to map a string onto a valid CPP name.
279 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
281 # Sed expression to map a string onto a valid variable name.
282 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
285 exec 6>&1
287 # Save the log message, to keep $[0] and so on meaningful, and to
288 # report actual input values of CONFIG_FILES etc. instead of their
289 # values after options handling.
290 ac_log="
291 This file was extended by masqmail $as_me 0.2.21, which was
292 generated by GNU Autoconf 2.61. Invocation command line was
294 CONFIG_FILES = $CONFIG_FILES
295 CONFIG_HEADERS = $CONFIG_HEADERS
296 CONFIG_LINKS = $CONFIG_LINKS
297 CONFIG_COMMANDS = $CONFIG_COMMANDS
298 $ $0 $@
300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
301 "
303 # Files that config.status was made for.
304 config_files=" Makefile debian/Makefile docs/Makefile docs/man/Makefile docs/xml/Makefile tests/Makefile src/Makefile src/base64/Makefile src/md5/Makefile src/libident/Makefile suse/masqmail.spec redhat/masqmail.spec"
305 config_headers=" config.h"
306 config_commands=" depfiles"
308 ac_cs_usage="\
309 \`$as_me' instantiates files from templates according to the
310 current configuration.
312 Usage: $0 [OPTIONS] [FILE]...
314 -h, --help print this help, then exit
315 -V, --version print version number and configuration settings, then exit
316 -q, --quiet do not print progress messages
317 -d, --debug don't remove temporary files
318 --recheck update $as_me by reconfiguring in the same conditions
319 --file=FILE[:TEMPLATE]
320 instantiate the configuration file FILE
321 --header=FILE[:TEMPLATE]
322 instantiate the configuration header FILE
324 Configuration files:
325 $config_files
327 Configuration headers:
328 $config_headers
330 Configuration commands:
331 $config_commands
333 Report bugs to <bug-autoconf@gnu.org>."
335 ac_cs_version="\
336 masqmail config.status 0.2.21
337 configured by ./configure, generated by GNU Autoconf 2.61,
338 with options \"'--build' 'i486-linux-gnu' '--prefix=/usr' '--mandir=\${prefix}/share/man' '--with-logdir=/var/log/masqmail' '--with-spooldir=/var/spool/masqmail' '--with-user=mail' '--with-group=mail' '--with-confdir=/etc/masqmail' '--with-liblockfile' '--enable-auth' '--enable-ident' '--enable-maildir' 'build_alias=i486-linux-gnu'\"
340 Copyright (C) 2006 Free Software Foundation, Inc.
341 This config.status script is free software; the Free Software Foundation
342 gives unlimited permission to copy, distribute and modify it."
344 ac_pwd='/home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21'
345 srcdir='.'
346 INSTALL='/usr/bin/install -c'
347 # If no file are specified by the user, then we need to provide default
348 # value. By we need to know if files were specified by the user.
349 ac_need_defaults=:
350 while test $# != 0
351 do
352 case $1 in
353 --*=*)
354 ac_option=`expr "X$1" : 'X\([^=]*\)='`
355 ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
356 ac_shift=:
357 ;;
358 *)
359 ac_option=$1
360 ac_optarg=$2
361 ac_shift=shift
362 ;;
363 esac
365 case $ac_option in
366 # Handling of the options.
367 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
368 ac_cs_recheck=: ;;
369 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
370 echo "$ac_cs_version"; exit ;;
371 --debug | --debu | --deb | --de | --d | -d )
372 debug=: ;;
373 --file | --fil | --fi | --f )
374 $ac_shift
375 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
376 ac_need_defaults=false;;
377 --header | --heade | --head | --hea )
378 $ac_shift
379 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
380 ac_need_defaults=false;;
381 --he | --h)
382 # Conflict between --help and --header
383 { echo "$as_me: error: ambiguous option: $1
384 Try \`$0 --help' for more information." >&2
385 { (exit 1); exit 1; }; };;
386 --help | --hel | -h )
387 echo "$ac_cs_usage"; exit ;;
388 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
389 | -silent | --silent | --silen | --sile | --sil | --si | --s)
390 ac_cs_silent=: ;;
392 # This is an error.
393 -*) { echo "$as_me: error: unrecognized option: $1
394 Try \`$0 --help' for more information." >&2
395 { (exit 1); exit 1; }; } ;;
397 *) ac_config_targets="$ac_config_targets $1"
398 ac_need_defaults=false ;;
400 esac
401 shift
402 done
404 ac_configure_extra_args=
406 if $ac_cs_silent; then
407 exec 6>/dev/null
408 ac_configure_extra_args="$ac_configure_extra_args --silent"
409 fi
411 if $ac_cs_recheck; then
412 echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--build' 'i486-linux-gnu' '--prefix=/usr' '--mandir=${prefix}/share/man' '--with-logdir=/var/log/masqmail' '--with-spooldir=/var/spool/masqmail' '--with-user=mail' '--with-group=mail' '--with-confdir=/etc/masqmail' '--with-liblockfile' '--enable-auth' '--enable-ident' '--enable-maildir' 'build_alias=i486-linux-gnu' $ac_configure_extra_args " --no-create --no-recursion" >&6
413 CONFIG_SHELL=/bin/sh
414 export CONFIG_SHELL
415 exec /bin/sh "./configure" '--build' 'i486-linux-gnu' '--prefix=/usr' '--mandir=${prefix}/share/man' '--with-logdir=/var/log/masqmail' '--with-spooldir=/var/spool/masqmail' '--with-user=mail' '--with-group=mail' '--with-confdir=/etc/masqmail' '--with-liblockfile' '--enable-auth' '--enable-ident' '--enable-maildir' 'build_alias=i486-linux-gnu' $ac_configure_extra_args --no-create --no-recursion
416 fi
418 exec 5>>config.log
419 {
420 echo
421 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
422 ## Running $as_me. ##
423 _ASBOX
424 echo "$ac_log"
425 } >&5
427 #
428 # INIT-COMMANDS
429 #
430 AMDEP_TRUE="" ac_aux_dir="."
433 # Handling of arguments.
434 for ac_config_target in $ac_config_targets
435 do
436 case $ac_config_target in
437 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
438 "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
439 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
440 "debian/Makefile") CONFIG_FILES="$CONFIG_FILES debian/Makefile" ;;
441 "docs/Makefile") CONFIG_FILES="$CONFIG_FILES docs/Makefile" ;;
442 "docs/man/Makefile") CONFIG_FILES="$CONFIG_FILES docs/man/Makefile" ;;
443 "docs/xml/Makefile") CONFIG_FILES="$CONFIG_FILES docs/xml/Makefile" ;;
444 "tests/Makefile") CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
445 "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
446 "src/base64/Makefile") CONFIG_FILES="$CONFIG_FILES src/base64/Makefile" ;;
447 "src/md5/Makefile") CONFIG_FILES="$CONFIG_FILES src/md5/Makefile" ;;
448 "src/libident/Makefile") CONFIG_FILES="$CONFIG_FILES src/libident/Makefile" ;;
449 "suse/masqmail.spec") CONFIG_FILES="$CONFIG_FILES suse/masqmail.spec" ;;
450 "redhat/masqmail.spec") CONFIG_FILES="$CONFIG_FILES redhat/masqmail.spec" ;;
452 *) { { echo "$as_me:452: error: invalid argument: $ac_config_target" >&5
453 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
454 { (exit 1); exit 1; }; };;
455 esac
456 done
459 # If the user did not use the arguments to specify the items to instantiate,
460 # then the envvar interface is used. Set only those that are not.
461 # We use the long form for the default assignment because of an extremely
462 # bizarre bug on SunOS 4.1.3.
463 if $ac_need_defaults; then
464 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
465 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
466 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
467 fi
469 # Have a temporary directory for convenience. Make it in the build tree
470 # simply because there is no reason against having it here, and in addition,
471 # creating and moving files from /tmp can sometimes cause problems.
472 # Hook for its removal unless debugging.
473 # Note that there is a small window in which the directory will not be cleaned:
474 # after its creation but before its name has been assigned to `$tmp'.
475 $debug ||
476 {
477 tmp=
478 trap 'exit_status=$?
479 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
480 ' 0
481 trap '{ (exit 1); exit 1; }' 1 2 13 15
482 }
483 # Create a (secure) tmp directory for tmp files.
485 {
486 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
487 test -n "$tmp" && test -d "$tmp"
488 } ||
489 {
490 tmp=./conf$$-$RANDOM
491 (umask 077 && mkdir "$tmp")
492 } ||
493 {
494 echo "$me: cannot create a temporary directory in ." >&2
495 { (exit 1); exit 1; }
496 }
498 #
499 # Set up the sed scripts for CONFIG_FILES section.
500 #
502 # No need to generate the scripts if there are no CONFIG_FILES.
503 # This happens for instance when ./config.status config.h
504 if test -n "$CONFIG_FILES"; then
506 cat >"$tmp/subs-1.sed" <<\CEOF
507 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
508 s,@SHELL@,|#_!!_#|/bin/sh,g
509 s,@PATH_SEPARATOR@,|#_!!_#|:,g
510 s,@PACKAGE_NAME@,|#_!!_#|masqmail,g
511 s,@PACKAGE_TARNAME@,|#_!!_#|masqmail,g
512 s,@PACKAGE_VERSION@,|#_!!_#|0.2.21,g
513 s,@PACKAGE_STRING@,|#_!!_#|masqmail 0.2.21,g
514 s,@PACKAGE_BUGREPORT@,|#_!!_#|oku@|#_!!_#|debian.org,g
515 s,@exec_prefix@,|#_!!_#|${prefix},g
516 s,@prefix@,|#_!!_#|/usr,g
517 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
518 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
519 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
520 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
521 s,@datarootdir@,|#_!!_#|${prefix}/share,g
522 s,@datadir@,|#_!!_#|${datarootdir},g
523 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
524 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
525 s,@localstatedir@,|#_!!_#|${prefix}/var,g
526 s,@includedir@,|#_!!_#|${prefix}/include,g
527 s,@oldincludedir@,|#_!!_#|/usr/include,g
528 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
529 s,@infodir@,|#_!!_#|${datarootdir}/info,g
530 s,@htmldir@,|#_!!_#|${docdir},g
531 s,@dvidir@,|#_!!_#|${docdir},g
532 s,@pdfdir@,|#_!!_#|${docdir},g
533 s,@psdir@,|#_!!_#|${docdir},g
534 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
535 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
536 s,@mandir@,|#_!!_#|${prefix}/share/man,g
537 s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
538 s,@ECHO_C@,|#_!!_#|,g
539 s,@ECHO_N@,|#_!!_#|-n,g
540 s,@ECHO_T@,|#_!!_#|,g
541 s,@LIBS@,|#_!!_#|,g
542 s,@build_alias@,|#_!!_#|i486-linux-gnu,g
543 s,@host_alias@,|#_!!_#|,g
544 s,@target_alias@,|#_!!_#|,g
545 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
546 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
547 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
548 s,@CYGPATH_W@,|#_!!_#|echo,g
549 s,@PACKAGE@,|#_!!_#|masqmail,g
550 s,@VERSION@,|#_!!_#|0.2.21,g
551 s,@ACLOCAL@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run aclocal-1.7,g
552 s,@AUTOCONF@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run autoconf,g
553 s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run automake-1.7,g
554 s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run autoheader,g
555 s,@MAKEINFO@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run makeinfo,g
556 s,@AMTAR@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run tar,g
557 s,@install_sh@,|#_!!_#|/home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/install-sh,g
558 s,@STRIP@,|#_!!_#|,g
559 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
560 s,@AWK@,|#_!!_#|gawk,g
561 s,@SET_MAKE@,|#_!!_#|,g
562 s,@am__leading_dot@,|#_!!_#|.,g
563 s,@CC@,|#_!!_#|gcc,g
564 s,@CFLAGS@,|#_!!_#|-g -O2,g
565 s,@LDFLAGS@,|#_!!_#|,g
566 s,@CPPFLAGS@,|#_!!_#|,g
567 s,@ac_ct_CC@,|#_!!_#|gcc,g
568 s,@EXEEXT@,|#_!!_#|,g
569 s,@OBJEXT@,|#_!!_#|o,g
570 s,@DEPDIR@,|#_!!_#|.deps,g
571 s,@am__include@,|#_!!_#|include,g
572 s,@am__quote@,|#_!!_#|,g
573 s,@AMDEP_TRUE@,|#_!!_#|,g
574 s,@AMDEP_FALSE@,|#_!!_#|#,g
575 s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
576 s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
577 s,@am__fastdepCC_TRUE@,|#_!!_#|,g
578 s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
579 s,@CPP@,|#_!!_#|gcc -E,g
580 s,@GREP@,|#_!!_#|/bin/grep,g
581 s,@EGREP@,|#_!!_#|/bin/grep -E,g
582 s,@RANLIB@,|#_!!_#|ranlib,g
583 s,@PKG_CONFIG@,|#_!!_#|/usr/bin/pkg-config,g
584 s,@GLIB_CFLAGS@,|#_!!_#|-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ,g
585 s,@GLIB_LIBS@,|#_!!_#|-lglib-2.0 ,g
586 s,@RESOLV_LIBS@,|#_!!_#|-lresolv,g
587 s,@with_user@,|#_!!_#|mail,g
588 s,@with_group@,|#_!!_#|mail,g
589 s,@BASE64_LIBS@,|#_!!_#|base64/libbase64.a,g
590 s,@MD5_LIBS@,|#_!!_#|md5/libmd5c.a,g
591 s,@has_ident@,|#_!!_#|,g
592 s,@IDENT_LIBS@,|#_!!_#|-lident,g
593 s,@LOCKFILE_LIBS@,|#_!!_#|-llockfile,g
594 s,@USE_LIBLOCKFILE@,|#_!!_#|,g
595 s,@with_logdir@,|#_!!_#|/var/log/masqmail,g
596 s,@with_spooldir@,|#_!!_#|/var/spool/masqmail,g
597 s,@with_confdir@,|#_!!_#|/etc/masqmail,g
598 s,@LIBOBJS@,|#_!!_#|,g
599 s,@LTLIBOBJS@,|#_!!_#|,g
600 :end
601 s/|#_!!_#|//g
602 CEOF
603 fi # test -n "$CONFIG_FILES"
606 for ac_tag in :F $CONFIG_FILES :H $CONFIG_HEADERS :C $CONFIG_COMMANDS
607 do
608 case $ac_tag in
609 :[FHLC]) ac_mode=$ac_tag; continue;;
610 esac
611 case $ac_mode$ac_tag in
612 :[FHL]*:*);;
613 :L* | :C*:*) { { echo "$as_me:613: error: Invalid tag $ac_tag." >&5
614 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
615 { (exit 1); exit 1; }; };;
616 :[FH]-) ac_tag=-:-;;
617 :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
618 esac
619 ac_save_IFS=$IFS
620 IFS=:
621 set x $ac_tag
622 IFS=$ac_save_IFS
623 shift
624 ac_file=$1
625 shift
627 case $ac_mode in
628 :L) ac_source=$1;;
629 :[FH])
630 ac_file_inputs=
631 for ac_f
632 do
633 case $ac_f in
634 -) ac_f="$tmp/stdin";;
635 *) # Look for the file first in the build tree, then in the source tree
636 # (if the path is not absolute). The absolute path cannot be DOS-style,
637 # because $ac_f cannot contain `:'.
638 test -f "$ac_f" ||
639 case $ac_f in
640 [\\/$]*) false;;
641 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
642 esac ||
643 { { echo "$as_me:643: error: cannot find input file: $ac_f" >&5
644 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
645 { (exit 1); exit 1; }; };;
646 esac
647 ac_file_inputs="$ac_file_inputs $ac_f"
648 done
650 # Let's still pretend it is `configure' which instantiates (i.e., don't
651 # use $as_me), people would be surprised to read:
652 # /* config.h. Generated by config.status. */
653 configure_input="Generated from "`IFS=:
654 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
655 if test x"$ac_file" != x-; then
656 configure_input="$ac_file. $configure_input"
657 { echo "$as_me:657: creating $ac_file" >&5
658 echo "$as_me: creating $ac_file" >&6;}
659 fi
661 case $ac_tag in
662 *:-:* | *:-) cat >"$tmp/stdin";;
663 esac
664 ;;
665 esac
667 ac_dir=`$as_dirname -- "$ac_file" ||
668 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
669 X"$ac_file" : 'X\(//\)[^/]' \| \
670 X"$ac_file" : 'X\(//\)$' \| \
671 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
672 echo X"$ac_file" |
673 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
674 s//\1/
675 q
676 }
677 /^X\(\/\/\)[^/].*/{
678 s//\1/
679 q
680 }
681 /^X\(\/\/\)$/{
682 s//\1/
683 q
684 }
685 /^X\(\/\).*/{
686 s//\1/
687 q
688 }
689 s/.*/./; q'`
690 { as_dir="$ac_dir"
691 case $as_dir in #(
692 -*) as_dir=./$as_dir;;
693 esac
694 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
695 as_dirs=
696 while :; do
697 case $as_dir in #(
698 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
699 *) as_qdir=$as_dir;;
700 esac
701 as_dirs="'$as_qdir' $as_dirs"
702 as_dir=`$as_dirname -- "$as_dir" ||
703 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
704 X"$as_dir" : 'X\(//\)[^/]' \| \
705 X"$as_dir" : 'X\(//\)$' \| \
706 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
707 echo X"$as_dir" |
708 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
709 s//\1/
710 q
711 }
712 /^X\(\/\/\)[^/].*/{
713 s//\1/
714 q
715 }
716 /^X\(\/\/\)$/{
717 s//\1/
718 q
719 }
720 /^X\(\/\).*/{
721 s//\1/
722 q
723 }
724 s/.*/./; q'`
725 test -d "$as_dir" && break
726 done
727 test -z "$as_dirs" || eval "mkdir $as_dirs"
728 } || test -d "$as_dir" || { { echo "$as_me:728: error: cannot create directory $as_dir" >&5
729 echo "$as_me: error: cannot create directory $as_dir" >&2;}
730 { (exit 1); exit 1; }; }; }
731 ac_builddir=.
733 case "$ac_dir" in
734 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
735 *)
736 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
737 # A ".." for each directory in $ac_dir_suffix.
738 ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
739 case $ac_top_builddir_sub in
740 "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
741 *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
742 esac ;;
743 esac
744 ac_abs_top_builddir=$ac_pwd
745 ac_abs_builddir=$ac_pwd$ac_dir_suffix
746 # for backward compatibility:
747 ac_top_builddir=$ac_top_build_prefix
749 case $srcdir in
750 .) # We are building in place.
751 ac_srcdir=.
752 ac_top_srcdir=$ac_top_builddir_sub
753 ac_abs_top_srcdir=$ac_pwd ;;
754 [\\/]* | ?:[\\/]* ) # Absolute name.
755 ac_srcdir=$srcdir$ac_dir_suffix;
756 ac_top_srcdir=$srcdir
757 ac_abs_top_srcdir=$srcdir ;;
758 *) # Relative name.
759 ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
760 ac_top_srcdir=$ac_top_build_prefix$srcdir
761 ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
762 esac
763 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
766 case $ac_mode in
767 :F)
768 #
769 # CONFIG_FILE
770 #
772 case $INSTALL in
773 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
774 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
775 esac
776 # If the template does not know about datarootdir, expand it.
777 # FIXME: This hack should be removed a few years after 2.60.
778 ac_datarootdir_hack=; ac_datarootdir_seen=
780 case `sed -n '/datarootdir/ {
781 p
782 q
783 }
784 /@datadir@/p
785 /@docdir@/p
786 /@infodir@/p
787 /@localedir@/p
788 /@mandir@/p
789 ' $ac_file_inputs` in
790 *datarootdir*) ac_datarootdir_seen=yes;;
791 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
792 { echo "$as_me:792: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
793 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
794 ac_datarootdir_hack='
795 s&@datadir@&${datarootdir}&g
796 s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
797 s&@infodir@&${datarootdir}/info&g
798 s&@localedir@&${datarootdir}/locale&g
799 s&@mandir@&${prefix}/share/man&g
800 s&\${datarootdir}&${prefix}/share&g' ;;
801 esac
802 sed "/^[ ]*VPATH[ ]*=/{
803 s/:*\$(srcdir):*/:/
804 s/:*\${srcdir}:*/:/
805 s/:*@srcdir@:*/:/
806 s/^\([^=]*=[ ]*\):*/\1/
807 s/:*$//
808 s/^[^=]*=[ ]*$//
809 }
811 :t
812 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
813 s&@configure_input@&$configure_input&;t t
814 s&@top_builddir@&$ac_top_builddir_sub&;t t
815 s&@srcdir@&$ac_srcdir&;t t
816 s&@abs_srcdir@&$ac_abs_srcdir&;t t
817 s&@top_srcdir@&$ac_top_srcdir&;t t
818 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
819 s&@builddir@&$ac_builddir&;t t
820 s&@abs_builddir@&$ac_abs_builddir&;t t
821 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
822 s&@INSTALL@&$ac_INSTALL&;t t
823 $ac_datarootdir_hack
824 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
826 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
827 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
828 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
829 { echo "$as_me:829: WARNING: $ac_file contains a reference to the variable \`datarootdir'
830 which seems to be undefined. Please make sure it is defined." >&5
831 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
832 which seems to be undefined. Please make sure it is defined." >&2;}
834 rm -f "$tmp/stdin"
835 case $ac_file in
836 -) cat "$tmp/out"; rm -f "$tmp/out";;
837 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
838 esac
839 ;;
840 :H)
841 #
842 # CONFIG_HEADER
843 #
844 # First, check the format of the line:
845 cat >"$tmp/defines.sed" <<\CEOF
846 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
847 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
848 b
849 :def
850 s/$/ /
851 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "masqmail" ,
852 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "masqmail" ,
853 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "0.2.21" ,
854 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "masqmail 0.2.21" ,
855 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "oku@debian.org" ,
856 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE\)[ (].*,\1define\2 "masqmail" ,
857 s,^\([ #]*\)[^ ]*\([ ]*VERSION\)[ (].*,\1define\2 "0.2.21" ,
858 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
859 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_RESOLVER\)[ (].*,\1define\2 1 ,
860 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETLINE\)[ (].*,\1define\2 1 ,
861 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FDATASYNC\)[ (].*,\1define\2 1 ,
862 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
863 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
864 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
865 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
866 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
867 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
868 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
869 s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
870 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
871 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
872 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FCNTL_H\)[ (].*,\1define\2 1 ,
873 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TIME_H\)[ (].*,\1define\2 1 ,
874 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSLOG_H\)[ (].*,\1define\2 1 ,
875 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
876 s,^\([ #]*\)[^ ]*\([ ]*TIME_WITH_SYS_TIME\)[ (].*,\1define\2 1 ,
877 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FNMATCH\)[ (].*,\1define\2 1 ,
878 s,^\([ #]*\)[^ ]*\([ ]*RETSIGTYPE\)[ (].*,\1define\2 void ,
879 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRFTIME\)[ (].*,\1define\2 1 ,
880 s,^\([ #]*\)[^ ]*\([ ]*HAVE_VPRINTF\)[ (].*,\1define\2 1 ,
881 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SELECT\)[ (].*,\1define\2 1 ,
882 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SOCKET\)[ (].*,\1define\2 1 ,
883 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRERROR\)[ (].*,\1define\2 1 ,
884 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSTR\)[ (].*,\1define\2 1 ,
885 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_DEBUG\)[ (].*,\1define\2 1 ,
886 s,^\([ #]*\)[^ ]*\([ ]*DEF_MAIL_USER\)[ (].*,\1define\2 "mail" ,
887 s,^\([ #]*\)[^ ]*\([ ]*DEF_MAIL_GROUP\)[ (].*,\1define\2 "mail" ,
888 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_SMTP_SERVER\)[ (].*,\1define\2 1 ,
889 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_POP3\)[ (].*,\1define\2 1 ,
890 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_AUTH\)[ (].*,\1define\2 1 ,
891 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_MAILDIR\)[ (].*,\1define\2 1 ,
892 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_IDENT\)[ (].*,\1define\2 1 ,
893 s,^\([ #]*\)[^ ]*\([ ]*USE_LIBLOCKFILE\)[ (].*,\1define\2 1 ,
894 s,^\([ #]*\)[^ ]*\([ ]*CONF_DIR\)[ (].*,\1define\2 "/etc/masqmail" ,
895 s,^\([ #]*\)[^ ]*\([ ]*DATA_DIR\)[ (].*,\1define\2 "${prefix}/share/masqmail" ,
896 s,^\([ #]*\)[^ ]*\([ ]*SBINDIR\)[ (].*,\1define\2 "/usr/sbin" ,
897 s/ $//
898 s,^[ #]*u.*,/* & */,
899 CEOF
900 sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
901 ac_result="$tmp/out1"
902 if test x"$ac_file" != x-; then
903 echo "/* $configure_input */" >"$tmp/config.h"
904 cat "$ac_result" >>"$tmp/config.h"
905 if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
906 { echo "$as_me:906: $ac_file is unchanged" >&5
907 echo "$as_me: $ac_file is unchanged" >&6;}
908 else
909 rm -f $ac_file
910 mv "$tmp/config.h" $ac_file
911 fi
912 else
913 echo "/* $configure_input */"
914 cat "$ac_result"
915 fi
916 rm -f "$tmp/out12"
917 # Compute $ac_file's index in $config_headers.
918 _am_stamp_count=1
919 for _am_header in $config_headers :; do
920 case $_am_header in
921 $ac_file | $ac_file:* )
922 break ;;
923 * )
924 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
925 esac
926 done
927 echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
928 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
929 X$ac_file : 'X\(//\)[^/]' \| \
930 X$ac_file : 'X\(//\)$' \| \
931 X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
932 echo X$ac_file |
933 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
934 s//\1/
935 q
936 }
937 /^X\(\/\/\)[^/].*/{
938 s//\1/
939 q
940 }
941 /^X\(\/\/\)$/{
942 s//\1/
943 q
944 }
945 /^X\(\/\).*/{
946 s//\1/
947 q
948 }
949 s/.*/./; q'`/stamp-h$_am_stamp_count
950 ;;
952 :C) { echo "$as_me:952: executing $ac_file commands" >&5
953 echo "$as_me: executing $ac_file commands" >&6;}
954 ;;
955 esac
958 case $ac_file$ac_mode in
959 "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
960 # Strip MF so we end up with the name of the file.
961 mf=`echo "$mf" | sed -e 's/:.*$//'`
962 # Check whether this is an Automake generated Makefile or not.
963 # We used to match only the files named `Makefile.in', but
964 # some people rename them; so instead we look at the file content.
965 # Grep'ing the first line is not enough: some people post-process
966 # each Makefile.in and add a new line on top of each file to say so.
967 # So let's grep whole file.
968 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
969 dirpart=`$as_dirname -- "$mf" ||
970 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
971 X"$mf" : 'X\(//\)[^/]' \| \
972 X"$mf" : 'X\(//\)$' \| \
973 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
974 echo X"$mf" |
975 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
976 s//\1/
977 q
978 }
979 /^X\(\/\/\)[^/].*/{
980 s//\1/
981 q
982 }
983 /^X\(\/\/\)$/{
984 s//\1/
985 q
986 }
987 /^X\(\/\).*/{
988 s//\1/
989 q
990 }
991 s/.*/./; q'`
992 else
993 continue
994 fi
995 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
996 # Extract the definition of DEP_FILES from the Makefile without
997 # running `make'.
998 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
999 test -z "$DEPDIR" && continue
1000 # When using ansi2knr, U may be empty or an underscore; expand it
1001 U=`sed -n -e '/^U = / s///p' < "$mf"`
1002 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
1003 # We invoke sed twice because it is the simplest approach to
1004 # changing $(DEPDIR) to its actual value in the expansion.
1005 for file in `sed -n -e '
1006 /^DEP_FILES = .*\\\\$/ {
1007 s/^DEP_FILES = //
1008 :loop
1009 s/\\\\$//
1012 /\\\\$/ b loop
1015 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1016 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1017 # Make sure the directory exists.
1018 test -f "$dirpart/$file" && continue
1019 fdir=`$as_dirname -- "$file" ||
1020 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1021 X"$file" : 'X\(//\)[^/]' \| \
1022 X"$file" : 'X\(//\)$' \| \
1023 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1024 echo X"$file" |
1025 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1026 s//\1/
1029 /^X\(\/\/\)[^/].*/{
1030 s//\1/
1033 /^X\(\/\/\)$/{
1034 s//\1/
1037 /^X\(\/\).*/{
1038 s//\1/
1041 s/.*/./; q'`
1042 { as_dir=$dirpart/$fdir
1043 case $as_dir in #(
1044 -*) as_dir=./$as_dir;;
1045 esac
1046 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1047 as_dirs=
1048 while :; do
1049 case $as_dir in #(
1050 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1051 *) as_qdir=$as_dir;;
1052 esac
1053 as_dirs="'$as_qdir' $as_dirs"
1054 as_dir=`$as_dirname -- "$as_dir" ||
1055 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1056 X"$as_dir" : 'X\(//\)[^/]' \| \
1057 X"$as_dir" : 'X\(//\)$' \| \
1058 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1059 echo X"$as_dir" |
1060 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1061 s//\1/
1064 /^X\(\/\/\)[^/].*/{
1065 s//\1/
1068 /^X\(\/\/\)$/{
1069 s//\1/
1072 /^X\(\/\).*/{
1073 s//\1/
1076 s/.*/./; q'`
1077 test -d "$as_dir" && break
1078 done
1079 test -z "$as_dirs" || eval "mkdir $as_dirs"
1080 } || test -d "$as_dir" || { { echo "$as_me:1080: error: cannot create directory $as_dir" >&5
1081 echo "$as_me: error: cannot create directory $as_dir" >&2;}
1082 { (exit 1); exit 1; }; }; }
1083 # echo "creating $dirpart/$file"
1084 echo '# dummy' > "$dirpart/$file"
1085 done
1086 done
1087 ;;
1089 esac
1090 done # for ac_tag
1093 { (exit 0); exit 0; }